import dynamix_sdk.base as _base


class CloudapiBserviceMigrateToZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceMigrateToZoneProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_to_zone(
        self,
        *,
        bservice_id: int,
        zone_id: int,
    ) -> CloudapiBserviceMigrateToZoneResultBool:
        ...
